%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define gecko_ver 1.9

Name: pytrainer
Version: 1.6.0.7
Release: 1%{?dist}
Summary: A tool to log all your sport excursions

Group: Development/Languages
License: GPLv2+
URL: http://pytrainer.e-oss.net/
Source0: http://www.e-oss.net/descargas/pytrainer/%{name}-%{version}.tar.gz
Source1: pytrainer.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: gpsbabel
Requires: python-matplotlib
Requires: gnome-python2-gtkmozembed
Requires: SOAPpy
Requires: gecko-libs >= %{gecko_ver}
BuildRequires: python-devel
BuildRequires: desktop-file-utils

%description
A tool to log all your sport excursions.

%prep
%setup -q

%{__sed} -i 's|PYTHONPATH|%{python_sitelib}|' %{SOURCE1}

# make patch work for current xulrunner version
%{__sed} -i 's|MOZLIBLOC|xulrunner-%{gecko_ver}|' %{SOURCE1}
%{__sed} -i 's|LIBLOC|/usr/lib|' %{SOURCE1}

# fix non-exacutable scripts
%{__chmod} +x plugins/garmin-hr/gtrnctr2gpx.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# install our own executable to set proper lib dirs
%{__mv} %{buildroot}%{_bindir}/%{name} %{buildroot}%{python_sitelib}/%{name}.py
%{__install} -p -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}

desktop-file-install --vendor="fedora" --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

 
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{python_sitelib}/*


%changelog
* Tue Mar 31 2009 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.7-1
- updating to 1.6.0.7
- includes patch to use sqlite3
- Removing pytrainer gui minimal window size
- Ordered shutdown of logging stuff
- HR and elevation graphs included when exporting to wordpress
- Removal of maps directory due to license issue:
  https://sourceforge.net/mailarchive/message.php?msg_name=1237752714.4330.15.camel%40thinker.domain.lan
- Removal of opensuse_mozpytrainer.sh launch script as it is included in (renamed)
  pytrainer.sh. Deleted README.txt file to avoid confusion
- Updated INSTALL file with current package versions
- Fixed Google Maps integration
- Updated garmin-hr config file with correct usb port value
- Fixed bug where track record was supposed to be updated in database. Type cast
  was missing
- Bug #2100647 - Quick entry doesn't work if no gpx file - Fixed
- FR #2126411 - Package python-sqlite2 not needed anymore:
  http://www.python.org/doc/2.5.2/lib/module-sqlite3.html

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.6-1
- updating to 1.6.0.6 to incorporate one of my patches
- updating to point at correct location for xulrunner
- removing firefox support

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.0.5-4
- Rebuild for Python 2.6

* Mon Sep 29 2008 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.5-3
- fixing gecko-libs requirement

* Wed Sep 23 2008 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.5-2
- replacing environ hack patch with shell script
- adding patch to clean up desktop file

* Mon Sep 15 2008 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.5-1
- updating to 1.6.0.5

* Mon Jul 07 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-6
- bumping xulrunner dep to 1.9.0.1

* Mon Jul 07 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-5
- bumping xulrunner dep to 1.9.0.1

* Mon Jul 07 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-4
- owning datadir

* Thu Jun 19 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-3
- updating to support xulrunner or firefox
- removing empty doc line
- added patch to use sqlite3

* Mon Apr 21 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-2
- update for firefox 2.0.0.14
- fix rpmlint errors

* Thu Feb 14 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-1
- update to 1.5.0.0.1
- update for firefox 2.0.0.12

* Thu Feb 14 2008 Douglas E. Warner <silfreed@silfreed.net> 1.4.7.2-1
- update to 1.4.7.2
- update for firefox 2.0.0.11

* Mon Nov 16 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-5
- update for firefox 2.0.0.10

* Mon Nov 16 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-4
- update for firefox 2.0.0.9

* Mon Nov 05 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-3
- update for firefox 2.0.0.8

* Fri Oct 05 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-2
- patch for working around libgtkmozembed.so crash - mozbug#325884

* Fri Oct 05 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-1
- update to 1.4.5
- removing patches

* Tue Oct 02 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.4-3
- switching to noarch package

* Tue Oct 02 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.4-2
- adding patches for changeset 107 and 108

* Mon Oct 01 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.4-1
- update to 1.4.4

* Sun Sep 23 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.2-1
- Initial RPM release.

